<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="properties-list">
    <div class="ui grid" id="contractproperties">
      <div class="right aligned column">
        <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)">
          <button class="ui icon mini basic button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:onclick="'modaladdproperty(' + ${contract.id} + ');'">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW}"></i>
          </button>
        </th:block>
      </div>
    </div>
    <br />
    <div class="ui middle aligned divided list">
      <div class="ui stackable two column grid">
        <div class="item column" th:each="item: ${contract.properties}">
          <div class="middle aligned content">
            <div class="ui grid">
              <div class="six wide middle aligned column">
                <h4 class="ui header" th:text="${item.pk.property.name}"></h4>
              </div>
              <div class="six wide middle aligned right aligned column" th:text="${item.value}"></div>
              <div class="four wide right aligned column">
                <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)">
                  <button class="ui icon mini button grey" th:onclick="@{${'copytoclipboard(''' + item.value + ''');'}}">
                    <i class="icon clipboard"></i>
                  </button>
                  <button class="ui icon mini button" th:onclick="'javascript:editProperty(\'' + ${item.pk.property.id} + '\', \'' + ${item.pk.contract.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
                    <i class="icon edit"></i>
                  </button>
                  <button class="ui icon mini button red" th:onclick="'javascript:deleteProperty(\'' + ${item.pk.property.id} + '\', \'' + ${item.pk.contract.id} + '\');'">
                    <i class="icon trash"></i>
                  </button>
                </th:block>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </th:block>
</body>
</html>
